Package org.pushingpixels.substance.swingx

# Class SubstanceTaskPaneContainerUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.jdesktop.swingx.plaf.TaskPaneContainerUI
org.jdesktop.swingx.plaf.basic.BasicTaskPaneContainerUI
org.pushingpixels.substance.swingx.SubstanceTaskPaneContainerUI

public class SubstanceTaskPaneContainerUI extends org.jdesktop.swingx.plaf.basic.BasicTaskPaneContainerUI
Substance-consistent UI delegate for `JXTaskPaneContainer`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jdesktop.swingx.plaf.basic.BasicTaskPaneContainerUI

`org.jdesktop.swingx.plaf.basic.BasicTaskPaneContainerUI.VerticalLayoutUIResource`

## Field Summary

### Fields inherited from class org.jdesktop.swingx.plaf.basic.BasicTaskPaneContainerUI

`taskPane`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceTaskPaneContainerUI()`
Creates a new UI delegate.

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`protected void`
`installDefaults()`
`void`
`installUI(JComponent c)`
`void`
`paint(Graphics g, JComponent c)`
`protected void`
`uninstallDefaults()`

### Methods inherited from class org.jdesktop.swingx.plaf.basic.BasicTaskPaneContainerUI

`createDefaultLayout, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceTaskPaneContainerUI

public SubstanceTaskPaneContainerUI()
Creates a new UI delegate.

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `org.jdesktop.swingx.plaf.basic.BasicTaskPaneContainerUI`

### installDefaults

protected void installDefaults()

Overrides:
  `installDefaults` in class `org.jdesktop.swingx.plaf.basic.BasicTaskPaneContainerUI`

### uninstallDefaults

protected void uninstallDefaults()

Overrides:
  `uninstallDefaults` in class `org.jdesktop.swingx.plaf.basic.BasicTaskPaneContainerUI`

### paint

public void paint(Graphics g, JComponent c)

Overrides:
  `paint` in class `ComponentUI`